Bug 746919 - Throw an error when 'compression'( -c) and 'preallocation' are used together while using converting images
Throw an error when 'compression'( -c) and 'preallocation' are used together ...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
16
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-18 05:41 EDT by Kashyap Chamarthy
Modified: 2013-02-11 17:53 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-11 17:53:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kashyap Chamarthy 2011-10-18 05:41:14 EDT
Description of problem:

It'd be helpful if an error is thrown on stdout when compression( -c) and preallocation are used *together* while using 'qemu-img' to create either new qcow2 images or converting existing raw to qcow2
 
Using 'Compression' and 'preallocation' combined is an invalid operation anyway.

Version-Release number of selected component (if applicable):
------------------------------
[root@moon ~]# rpm -q qemu-img
qemu-img-0.15.0-5.fc16.x86_64
------------------------------

How reproducible:
All the time

Steps to Reproduce:
Try to convert (or create a new one) an existing raw -> qcow2 using compression and preallocation as below:

# qemu-img convert -c -f raw -O qcow2 -o preallocation=metadata /var/lib/libvirt/images/honeycomb.dsk /var/lib/libvirt/images/honeycombq.qcow2



Actual results:
Image gets converted just fine. But the disk image doesn't boot successfully into the OS


Expected results:
Throw a meaningful error on the stdout along the lines of: 'using compression and preallocation is invalid' ..
Comment 1 Amit Shah 2011-10-18 06:05:58 EDT
(In reply to comment #0)
> Using 'Compression' and 'preallocation' combined is an invalid operation
> anyway.

Just pre-allocating for metadata but compressing for the rest of the image can be a useful operation, so it's not entirely invalid.  However, since that's not done today, throwing an error for now makes sense.
Comment 2 Fedora Admin XMLRPC Client 2012-03-15 13:57:19 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2013-01-16 15:41:06 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Cole Robinson 2013-02-11 17:53:56 EST
With latest qemu git:

# ./qemu-img convert -c -f raw -O qcow2 -o preallocation=metadata foo.raw foo.qcow2
qemu-img: Compression and preallocation not supported at the same time

So just closing as UPSTREAM

Note You need to log in before you can comment on or make changes to this bug.